/*!
* @file Direction.cpp
* @brief ゲーム中の方角を定義する
* @date 2014/05/09
* @author Deskull
* 2014 Sikabane Works.
*/

#include "stdafx.h"
#include "Direction.h"

namespace Deeangband
{
	Coordinates Direction::DirectionVector[MAX_DIRECTION];

	Direction::Direction(void)
	{
	}

	void Direction::Initialize(void)
	{
		DirectionVector[DIRECTION_NORTH].Set(0, -1); 
		DirectionVector[DIRECTION_NORTH_EAST].Set(1, -1); 
		DirectionVector[DIRECTION_EAST].Set(1, 0); 
		DirectionVector[DIRECTION_SOUTH_EAST].Set(1, 1); 
		DirectionVector[DIRECTION_SOUTH].Set(0, 1); 
		DirectionVector[DIRECTION_SOUTH_WEST].Set(-1, 1); 
		DirectionVector[DIRECTION_WEST].Set(-1, 0); 
		DirectionVector[DIRECTION_NORTH_WEST].Set(-1, -1); 
		DirectionVector[DIRECTION_STAY].Set(0, 0); 
	}
}